summaryrefslogtreecommitdiff
path: root/Master/bin/powerpc-darwin/fmtutil
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2007-01-15 01:20:56 +0000
committerKarl Berry <karl@freefriends.org>2007-01-15 01:20:56 +0000
commita7c1732dab6bc17dc2c935bb346b75fe94d58388 (patch)
tree8e45544ac14326dff3d3aab879a6993b6032675c /Master/bin/powerpc-darwin/fmtutil
parent9df8e72263907fe42ce8d203e82a6e251da3252c (diff)
new powerpc-darwin binaries from gerben
git-svn-id: svn://tug.org/texlive/trunk@3495 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/bin/powerpc-darwin/fmtutil')
-rwxr-xr-xMaster/bin/powerpc-darwin/fmtutil80
1 files changed, 39 insertions, 41 deletions
diff --git a/Master/bin/powerpc-darwin/fmtutil b/Master/bin/powerpc-darwin/fmtutil
index ae04f067201..e061f4f20af 100755
--- a/Master/bin/powerpc-darwin/fmtutil
+++ b/Master/bin/powerpc-darwin/fmtutil
@@ -24,12 +24,10 @@
# Options:
# --cnffile file set configfile for fmtutil
# --fmtdir directory set destination directory for format files
-# --no-engine-subdir don't use $engine subdirectory of the fmtdir
###############################################################################
###############################################################################
# program history:
-# 2007-01-04 patch by JK to support $engine subdir (enabled by default)
# Fr Apr 8 19:15:05 CEST 2005 cleanup now has an argument for the return code
# Do Mar 02 10:42:31 CET 2006 add tmpdir to TEXFORMATS
# So Mär 27 18:52:06 CEST 2005 honor $TMPDIR, $TEMP and $TMP, not just $TMP
@@ -83,7 +81,7 @@ test -n "${ZSH_VERSION+set}" && alias -g '${1+"$@"}'='"$@"'
progname=fmtutil
argv0=$0
-version=1168729197 # seconds since `00:00:00 1970-01-01 UTC'
+version=1112981053 # seconds since `00:00:00 1970-01-01 UTC'
# date '+%s' (with GNU date)
cnf=fmtutil.cnf # name of the config file
@@ -200,7 +198,6 @@ Usage: fmtutil [option] ... cmd [argument]
Valid options:
--cnffile file
--fmtdir directory
- --no-engine-subdir don't use engine-specific subdir of the fmtdir
--quiet (not implemented, just for compatibility)
--test (not implemented, just for compatibility)
--dolinks (not implemented, just for compatibility)
@@ -362,9 +359,8 @@ main()
tmpdir=${TMPDIR-${TEMP-${TMP-/tmp}}}/$progname.$$
verboseFlag=true
- # mktexfmtMode: if called as mktexfmt, set to true. Will echo the
- # first generated filename after successful generation to stdout then
- # (and nothing else), since kpathsea can only deal with one.
+ # mktexfmtMode: if called as mktexfmt, set to true. Will echo the generated
+ # filename after successful generation to stdout then (and nothing else).
mktexfmtMode=false
case $argv0 in
mktexfmt|*/mktexfmt)
@@ -387,7 +383,6 @@ main()
;;
esac
- use_engine_dir=true # whether to use web2c/$engine subdirs
while
case $1 in
--cnffile)
@@ -398,8 +393,6 @@ main()
shift; destdir=$1;;
--fmtdir=*)
destdir=`echo "$1" | sed 's/--fmtdir=//'`; shift ;;
- --no-engine-subdir)
- use_engine_dir=false;;
--all|-a)
cmd=all;;
--edit|-e)
@@ -554,11 +547,31 @@ main()
refresh)
recreate_existing;;
byfmt)
- recreate_by_fmt "$arg";;
+ create_one_format "$arg";;
byhyphen)
recreate_by_hyphenfile "$arg";;
esac
+ # install the log files and format files:
+ for i in *.log; do
+ test -f "$i" || continue
+ rm -f "$destdir/$i"
+
+ # We don't want user-interaction for the following "mv" command:
+ mv "$i" "$destdir/$i" </dev/null
+ done
+ for i in *.fmt *.mem *.base; do
+ test -f "$i" || continue
+ rm -f "$destdir/$i"
+
+ # We don't want user-interaction for the following "mv" command:
+ if mv "$i" "$destdir/$i" </dev/null; then
+ verboseMsg "$progname: $destdir/$i installed."
+ $mktexfmtMode && echo "$destdir/$i"
+ fi
+ mktexupd "$destdir" "$i"
+ done
+
byebye
}
@@ -609,9 +622,9 @@ parse_line()
inifile=`echo $lastarg | sed 's%^\*%%'`
case "$engine" in
- mpost) fmtfile="$format.mem"; kpsefmt=mpost; texengine=metapost;;
- mf|mfw|mf-nowin) fmtfile="$format.base"; kpsefmt=mf; texengine=metafont;;
- *) fmtfile="$format.fmt"; kpsefmt=tex; texengine=$engine;;
+ mpost) fmtfile="$format.mem"; kpsefmt=mpost;;
+ mf|mfw|mf-nowin) fmtfile="$format.base"; kpsefmt=mf;;
+ *) fmtfile="$format.fmt"; kpsefmt=tex;;
esac
# See if we can find $inifile for return code:
@@ -686,33 +699,16 @@ run_initex()
verbose $engine -ini $tcxflag $jobswitch $prgswitch $texargs
) </dev/null
- if test $use_engine_dir; then
- fulldestdir="$destdir/$texengine"
- else
- fulldestdir="$destdir"
- fi
- mkdir -p $fulldestdir
if test -f $fmtfile; then
grep '^! ' $format.log >/dev/null 2>&1 &&
log_failure "\`$engine -ini $tcxflag $jobswitch $prgswitch $texargs' possibly failed."
- rm -f "$fulldestdir/$format.log"
- # We don't want user-interaction for the following "mv" commands:
- mv "$format.log" "$fulldestdir/$format.log" </dev/null
- if mv "$fmtfile" "$fulldestdir/$fmtfile" </dev/null; then
- verboseMsg "$progname: $fulldestdir/$fmtfile installed."
- #
- $mktexfmtMode && $mktexfmtFirst \
- && echo "$fulldestdir/$fmtfile" && mktexfmtFirst=false
- #
- mktexupd "$fulldestdir" "$fmtfile"
- fi
else
log_failure "\`$engine -ini $tcxflag $jobswitch $prgswitch $texargs' failed"
fi
}
###############################################################################
-# recreate_loop()
+# recreate_loop(hyphenfile)
# for each line in config file: check match-condition and recreate format
# if there is a match
###############################################################################
@@ -727,6 +723,7 @@ recreate_loop()
do
parse_line $line || continue
check_match || continue
+ echo; echo
run_initex
done
}
@@ -762,14 +759,15 @@ check_match()
}
###############################################################################
-# recreate_by_fmt(fmtname)
-# recreate all versions of fmtname
+# create_one_format(fmtname)
+# (re)create the format file for the format `fmtname'
###############################################################################
-recreate_by_fmt()
+create_one_format()
{
fmtname=$1
- match_cmd="test x\$format = x$fmtname"
- recreate_loop
+
+ find_info_for_name $fmtname || abort "format \`$fmtname' not available"
+ run_initex
}
###############################################################################
@@ -779,7 +777,7 @@ recreate_by_fmt()
create_missing()
{
# match_cmd='test ! -f $destdir/$fmtfile'
- match_cmd='test ! -f "`kpsewhich -engine=$texengine -progname=$format $fmtfile`"'
+ match_cmd='test ! -f "`kpsewhich -progname=$format $fmtfile`"'
recreate_loop
}
@@ -789,7 +787,7 @@ create_missing()
###############################################################################
recreate_existing()
{
- match_cmd='test -f "`kpsewhich -engine=$texengine -progname=$format $fmtfile`"'
+ match_cmd='test -f "`kpsewhich -progname=$format $fmtfile`"'
recreate_loop
}
@@ -864,7 +862,7 @@ disablefmt()
grep "^$1[ ]" $cnf_file >/dev/null || { (exit 0); return 0; }
ed $cnf_file >/dev/null 2>&1 <<-eof
- g/^$1[ ]/s/^/#! /
+ /^$1[ ]/s/^/#! /
w
q
eof
@@ -879,7 +877,7 @@ enablefmt()
{
grep "^#![ ]*$1[ ]" $cnf_file >/dev/null || { (exit 0); return 0; }
ed $cnf_file >/dev/null 2>&1 <<-eof
- g/^#![ ]*$1[ ]/s/..[ ]*//
+ /^#![ ]*$1[ ]/s/..[ ]*//
w
q
eof